You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Heiko Z. <smi...@us...> - 2005-10-17 19:16:29
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv31171 Modified Files: CHANGES md5sum.lst Log Message: - updated acl to 2.2.32 - updated attr to 2.4.24 - updated bind to 9.3.1 - updated bison to 2.1 - updated iproute2 to 051007 - updated less to 382 - updated openswan to 2.4.2dr2 - updated openvpn to 2.0.2 - updated pci.ids - updated pciutils to 2.2.0 - updated usb.ids - updated usbutils to 0.71 - updated vim to 6.4 - updated xfsprogs to 2.7.3 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.981 retrieving revision 1.982 diff -u -d -r1.981 -r1.982 --- CHANGES 17 Oct 2005 13:21:09 -0000 1.981 +++ CHANGES 17 Oct 2005 19:16:16 -0000 1.982 @@ -22,6 +22,20 @@ # 1.3.2 +- updated acl to 2.2.32 +- updated attr to 2.4.24 +- updated bind to 9.3.1 +- updated bison to 2.1 +- updated iproute2 to 051007 +- updated less to 382 +- updated openswan to 2.4.2dr2 +- updated openvpn to 2.0.2 +- updated pci.ids +- updated pciutils to 2.2.0 +- updated usb.ids +- updated usbutils to 0.71 +- updated vim to 6.4 +- updated xfsprogs to 2.7.3 - added rar3 and 7-zip support for clamav (Serge Leschinsky/ McMCC ) - updated gawk to 3.1.5 - updated groff to 1.19.2 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.237 retrieving revision 1.238 diff -u -d -r1.237 -r1.238 --- md5sum.lst 16 Oct 2005 01:00:59 -0000 1.237 +++ md5sum.lst 17 Oct 2005 19:16:16 -0000 1.238 @@ -55,7 +55,7 @@ 6b154c442a335c2a281defe17c8008e8 src/MOSKRN-1.9.0.tgz d28bd7e83d01b234144e336bbfde0caa src/Mail-SpamAssassin-3.1.0.tar.bz2 a2c089faa2726c142419c03472fc4063 src/Python-2.3.4.tar.bz2 -7e13778c38addfcdabf2cef291b78bcc src/acl-2.2.23.src.tar.gz +85d2e73c5a3175b96d1d956c52835fe4 src/acl-2.2.32.src.tar.gz 9c2156ce75e39675300e0c3a358018a5 src/alsa-driver-1.0.2.tar.bz2 b2a0d5d46e0d67e48594e98215ecfd73 src/alsa-lib-1.0.2.tar.bz2 464b4840c6416875171113f233d896e4 src/alsa-oss-1.0.2.tar.bz2 @@ -65,17 +65,16 @@ 64104a1fface0253e77318ca84948bac src/apcupsd-3.10.18.tar.gz 9ecd00db892737431b0e524f3e52e19e src/arpwatch.tar.gz 101d635b4769a611523bfbc7fb5aec52 src/arpwatch_repscr.patch.bz2 -13ba7836876882da53b2c1eab5ab66bc src/attr-2.4.16.src.tar.gz +f696ab041e2981183cc507f7b0429207 src/attr-2.4.24.src.tar.gz 1ee40f7a676b3cfdc0e3f7cd81551b5f src/autoconf-2.59.tar.bz2 3a534ad55d781861e1e92d3b8d898a9a src/automake-1.9.5.tar.bz2 26c4d642e29b3533d8d754995bc277b3 src/bash-3.0.tar.gz 2d6f5c39497a951120759dc72664033e src/beep-1.2.1.tar.gz -fdb42fff7e345372ac52a4493b77b694 src/bind-9.3.0.tar.gz +9ff3204eea27184ea0722f37e43fc95d src/bind-9.3.1.tar.gz 095f8a04f37df2ed5c99328ddc551a09 src/bing-1.1.3.tar.bz2 d36d2b02f2609f01b00a33c8bdd78a35 src/binutils-2.16.1-pt_pax-1.patch.bz2 6a9d529efb285071dad10e1f3d2b2967 src/binutils-2.16.1.tar.bz2 -42c3a33b645f40197e8f7aca7bd1e913 src/bison-1.875.patch1-bs.bz2 -b7f8027b249ebd4dd0cc948943a71af0 src/bison-1.875.tar.bz2 +ef3110077462b1140b2ae612626e8486 src/bison-2.1.tar.bz2 0b424b4248ab5b2018515dac38174ec4 src/bluez-firmware-1.0.tar.gz 7bc5f66632e7629b852c0eab972c3437 src/bluez-hcidump-1.16.tar.gz 01dbd025eb1f3ebc8dbfee56255cf048 src/bluez-libs-2.13.tar.gz @@ -205,8 +204,7 @@ 3f6554c42665104edb18d26a4de93592 src/insserv-local.diff.bz2 f9ed8a729145ae613b3cdc518f1750e3 src/ipac-ng-1.31.tar.bz2 969832f3a42fc25b44045d73ea483f18 src/ipcalc.tar.bz2 -4079036ec0283341d37f96ce9ae1a932 src/iproute2-2.6.9-ss040831.tar.gz -c573fc723df04e90085a6a95b1da5b7e src/iproute2-2.6.9_ss040831-remove_db-1.patch.bz2 +53f47d46f50eff9ed8c6fa2ac2b41a80 src/iproute2-051007.tar.gz 057e3b64bd60f5af85c2dfba8c8a0347 src/ipsec-tools-0.5.beta2.tar.bz2 86d88455520cfdc56fd7ae27897a80a4 src/iptables-1.3.3.tar.bz2 7ff0bc933a0a57a4ca9e2b0443307539 src/iptraf-2.7.0.tar.gz @@ -227,7 +225,7 @@ c5dba6b80f583070fe9e6ed6e0c2162e src/l2tpd-0.69.tar.gz 571f031068ea7861282f0525d67a9aa0 src/l2tpd-patches.tgz b7fb1c24b940482cd730cf212d1b5062 src/lcd4linux-0.10.0.tar.gz -40c2dd4ac137b61b6a55a6478817daf4 src/less-381.tar.gz +103fe4aef6297b93f0f73f38cc3b1bd7 src/less-382.tar.gz d1c6749655991b5049897e6105973763 src/lftp-3.2.1.tar.bz2 5aa3b0d29b27b7a3e1d80962c94f54cb src/lha_1.14i-5.diff.gz 10410742b0169f3357ef9a3f0f032037 src/lha_1.14i.orig.tar.gz @@ -309,15 +307,15 @@ afc8700b5738da863b30208e1d3e9de8 src/openldap-2.2.26.tgz df899194a340c933944b193477c628fa src/openssh-4.2p1.tar.gz 8dc90a113eb8925795071fbe52b2932c src/openssl-0.9.7h.tar.gz -b36a595bce3519186a9a08adaa83fc51 src/openswan-1.0.7.tar.gz -7401faebc6baee9add32608709c54eec src/openvpn-2.0.tar.gz +6e76901fdd34ee9fb4de623690946bc9 src/openswan-2.4.2dr2.tar.gz +862f8788f080f669b1ae00a74ef68001 src/openvpn-2.0.2.tar.gz 587171c4e15a40adde8aa1b3d77328e9 src/opt-3.19.tar.gz 40dd0853d0c1c2cc019d6e2e8146555a src/passwdgen-1.diff.bz2 097cf193d1b040cf0d135945714faa83 src/passwdgen-2.2.tar.gz da2b30e2c425c4e64ed93544c3fca34d src/patch-o-matic-ng-20050607.tar.bz2 d85064bb89183288e56ede3d2c311e56 src/pax-linux-2.6.6-200405182000.patch.bz2 -6357c6487f17f5094980ee2d804644ef src/pci.ids.bz2 -1d40f90aaae69594790bdb8ff90b4a41 src/pciutils-2.1.11.tar.gz +4b8d2ee3ad78e4d0343a74a9b0fb84a8 src/pci.ids.bz2 +303fc4bb9669549acf65e4a714527c7e src/pciutils-2.2.0.tar.gz 0d6d65be8896eff081aee996049afaa5 src/pcmcia-cs-3.2.8.tar.gz d8a2024eb56c331bb5c55601c3cd9ce1 src/pcre-6.2.tar.bz2 9452d398f0fcd4e5cd7ef6628bc78c6e src/pcwd-1.42.tar.gz @@ -409,8 +407,8 @@ 7a481dc017f1fbfa7f937a97e66eb99f src/unarj_2.43.orig.tar.gz 1afca3128e21994042f34bcb91b4ea48 src/unrarsrc-3.2.3.tar.gz 8a25712aac642430d87d21491f7c6bd1 src/unzip551.tar.gz -ff9002fdc1b99a9c4d1ebc52605297f0 src/usb.ids.bz2 -05157bed61af65749f02713c10b8ef26 src/usbutils-0.11.tar.gz +f97497c70a194e6eca36500de5c0e61c src/usb.ids.bz2 +479d7c7098ef44cc95e7978fd71c712c src/usbutils-0.71.tar.gz 177831b1047ddf08939ca1a5f788d3ff src/util-linux-2.12q-PIC-1.patch.bz2 2b15af16592be86009e7ff334cc9a206 src/util-linux-2.12r-cramfs-1.patch.bz2 af9d9e03038481fbf79ea3ac33f116f9 src/util-linux-2.12r.tar.bz2 @@ -429,7 +427,7 @@ c2fa9d7e771134ac8c89d56b8197d4ca src/wol-0.7.1.tar.gz 8648c044305fc66ee33ecc55d36f8c8b src/wvdial-1.54.0.tar.gz ecb4e74ebaa1f45206f5d88eb34c5623 src/wvstreams-4.0.2.tar.gz -6c83524988838de0ab96a23db4b40412 src/xfsprogs-2.6.13.src.tar.gz +89728c0d84258c94e629bf39e4ba1509 src/xfsprogs-2.7.3.src.tar.gz 4295b5fe12350f09b5892b363348ac8b src/xinetd-2.3.13.tar.gz 4a6792c367a3e01e4af7b07f449039e9 src/yp-tools-2.8.tar.bz2 390470ce9f41bd6929102972b9b8a1b7 src/yp_auth.patch.bz2 |
|
From: Heiko Z. <smi...@us...> - 2005-10-17 19:16:28
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv31171/scripts/scripts Modified Files: ipsec Log Message: - updated acl to 2.2.32 - updated attr to 2.4.24 - updated bind to 9.3.1 - updated bison to 2.1 - updated iproute2 to 051007 - updated less to 382 - updated openswan to 2.4.2dr2 - updated openvpn to 2.0.2 - updated pci.ids - updated pciutils to 2.2.0 - updated usb.ids - updated usbutils to 0.71 - updated vim to 6.4 - updated xfsprogs to 2.7.3 Index: ipsec =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/ipsec,v retrieving revision 1.4 retrieving revision 1.5 diff -u -d -r1.4 -r1.5 --- ipsec 25 Jul 2005 17:16:58 -0000 1.4 +++ ipsec 17 Oct 2005 19:16:16 -0000 1.5 @@ -1,12 +1,13 @@ #!/bin/sh # IPsec startup and shutdown script # Copyright (C) 1998, 1999, 2001 Henry Spencer. -# +# Copyright (C) 2002 Michael Richardson <mc...@fr...> +# # This program is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License as published by the # Free Software Foundation; either version 2 of the License, or (at your # option) any later version. See <http://www.fsf.org/copyleft/gpl.txt>. -# +# # This program is distributed in the hope that it will be useful, but # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY # or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License @@ -26,7 +27,7 @@ # times of NFS filesystem startup/shutdown). Startup is after startup of # syslog and pcmcia support; shutdown is just before shutdown of syslog. # -# chkconfig: 2345 47 68 +# chkconfig: 2345 47 76 # description: IPsec provides encrypted and authenticated communications; \ # KLIPS is the kernel half of it, Pluto is the user-level management daemon. @@ -63,11 +64,20 @@ me='ipsec setup' # for messages +# where the private directory and the config files are +IPSEC_EXECDIR="${IPSEC_EXECDIR-/usr/libexec/ipsec}" +IPSEC_LIBDIR="${IPSEC_LIBDIR-/usr/lib/ipsec}" +IPSEC_SBINDIR="${IPSEC_SBINDIR-/usr/sbin}" +IPSEC_CONFS="${IPSEC_CONFS-/etc}" + if test " $IPSEC_DIR" = " " # if we were not called by the ipsec command then - # we must establish a suitable PATH ourselves - PATH=/usr/local/sbin:/sbin:/usr/sbin:/usr/local/bin:/bin:/usr/bin - export PATH + # we must establish a suitable PATH ourselves + PATH="${IPSEC_SBINDIR}":/sbin:/usr/sbin:/usr/local/bin:/bin:/usr/bin + export PATH + + IPSEC_DIR="$IPSEC_LIBDIR" + export IPSEC_DIR IPSEC_CONFS IPSEC_LIBDIR IPSEC_EXECDIR fi # Check that the ipsec command is available. @@ -87,22 +97,52 @@ exit 1 fi +# accept a few flags + +export IPSEC_setupflags +IPSEC_setupflags="" + +config="" + +for dummy +do + case "$1" in + --showonly|--show) IPSEC_setupflags="$1" ;; + --config) config="--config $2" ; shift ;; + *) break ;; + esac + shift +done + + # Pick up IPsec configuration (until we have done this, successfully, we # do not know where errors should go, hence the explicit "daemon.error"s.) # Note the "--export", which exports the variables created. -eval `ipsec _confread --varprefix IPSEC --export --type config setup` +eval `ipsec _confread $config --optional --varprefix IPSEC --export --type config setup` + if test " $IPSEC_confreadstatus" != " " then - echo "$IPSEC_confreadstatus -- \`$1' aborted" | - logger -s -p daemon.error -t ipsec_setup - exit 1 + case $1 in + stop|--stop|_autostop) + echo "$IPSEC_confreadstatus -- \`$1' may not work" | + logger -s -p daemon.error -t ipsec_setup;; + + *) echo "$IPSEC_confreadstatus -- \`$1' aborted" | + logger -s -p daemon.error -t ipsec_setup; + exit 1;; + esac fi + +IPSEC_confreadsection=${IPSEC_confreadsection:-setup} +export IPSEC_confreadsection + IPSECsyslog=${IPSECsyslog-daemon.error} export IPSECsyslog # misc setup umask 022 +mkdir -p /var/run/pluto # do it @@ -114,24 +154,33 @@ logger -s -p $IPSECsyslog -t ipsec_setup 2>&1 exit 1 fi - tmp=/var/run/ipsec_setup.st + tmp=/var/run/pluto/ipsec_setup.st + outtmp=/var/run/pluto/ipsec_setup.out ( ipsec _realsetup $1 echo "$?" >$tmp - ) 2>&1 | logger -s -p $IPSECsyslog -t ipsec_setup 2>&1 - st=`cat $tmp` - rm -f $tmp + ) > ${outtmp} 2>&1 + st=$? + if test -f $tmp + then + st=`cat $tmp` + rm -f $tmp + fi + if [ -f ${outtmp} ]; then + cat ${outtmp} | logger -s -p $IPSECsyslog -t ipsec_setup 2>&1 + rm -f ${outtmp} + fi exit $st ;; - restart|--restart) - $0 stop - $0 start + restart|--restart|force-reload) + $0 $IPSEC_setupflags stop + $0 $IPSEC_setupflags start ;; _autorestart) # for internal use only - $0 _autostop - $0 _autostart + $0 $IPSEC_setupflags _autostop + $0 $IPSEC_setupflags _autostart ;; status|--status) |
|
From: Heiko Z. <smi...@us...> - 2005-10-17 19:16:24
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv31171/scripts Modified Files: iproute2 Log Message: - updated acl to 2.2.32 - updated attr to 2.4.24 - updated bind to 9.3.1 - updated bison to 2.1 - updated iproute2 to 051007 - updated less to 382 - updated openswan to 2.4.2dr2 - updated openvpn to 2.0.2 - updated pci.ids - updated pciutils to 2.2.0 - updated usb.ids - updated usbutils to 0.71 - updated vim to 6.4 - updated xfsprogs to 2.7.3 Index: iproute2 =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/iproute2,v retrieving revision 1.24 retrieving revision 1.25 diff -u -d -r1.24 -r1.25 --- iproute2 29 Dec 2004 03:14:27 -0000 1.24 +++ iproute2 17 Oct 2005 19:16:16 -0000 1.25 @@ -28,14 +28,14 @@ case $1 in build ) if [ "$CONFIG_IPROUTE2" = "y" ]; then - if [ ! -f devil-linux-patches.done ]; then - touch devil-linux-patches.done - zcat $DL_DIR/src/iproute_*.diff.gz | patch -p1 || exit 1 - bzcat $DL_DIR/src/iproute2-*.patch.bz2 | patch -p1 || exit 1 - fi + #if [ ! -f devil-linux-patches.done ]; then + # touch devil-linux-patches.done + # zcat $DL_DIR/src/iproute_*.diff.gz | patch -p1 || exit 1 + #fi replace_str Makefile /usr/src/linux $KERNELDIR replace_str Config "TC_CONFIG_ATM=y" "TC_CONFIG_ATM=n" + old_kernel_includes make $PMAKE all || exit 1 strip_debug fi |
|
From: Heiko Z. <smi...@us...> - 2005-10-17 19:01:32
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv25865/scripts/scripts Modified Files: Tag: rel-1-2-patches ipsec Log Message: - updated acl to 2.2.32 - updated attr to 2.4.24 - updated bind to 9.3.1 - updated bison to 2.1 - updated busybox to 1.01 - updated iproute2 to 051007 - updated less to 382 - updated openswan to 2.4.2dr2 - updated openvpn to 2.0.2 - updated pci.ids - updated pciutils to 2.2.0 - updated usb.ids - updated usbutils to 0.71 - updated vim to 6.4 - updated xfsprogs to 2.7.3 Index: ipsec =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/ipsec,v retrieving revision 1.3.4.1 retrieving revision 1.3.4.2 diff -u -d -r1.3.4.1 -r1.3.4.2 --- ipsec 25 Jul 2005 17:15:46 -0000 1.3.4.1 +++ ipsec 17 Oct 2005 19:01:13 -0000 1.3.4.2 @@ -1,12 +1,13 @@ #!/bin/sh # IPsec startup and shutdown script # Copyright (C) 1998, 1999, 2001 Henry Spencer. -# +# Copyright (C) 2002 Michael Richardson <mc...@fr...> +# # This program is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License as published by the # Free Software Foundation; either version 2 of the License, or (at your # option) any later version. See <http://www.fsf.org/copyleft/gpl.txt>. -# +# # This program is distributed in the hope that it will be useful, but # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY # or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License @@ -26,7 +27,7 @@ # times of NFS filesystem startup/shutdown). Startup is after startup of # syslog and pcmcia support; shutdown is just before shutdown of syslog. # -# chkconfig: 2345 47 68 +# chkconfig: 2345 47 76 # description: IPsec provides encrypted and authenticated communications; \ # KLIPS is the kernel half of it, Pluto is the user-level management daemon. @@ -63,11 +64,20 @@ me='ipsec setup' # for messages +# where the private directory and the config files are +IPSEC_EXECDIR="${IPSEC_EXECDIR-/usr/libexec/ipsec}" +IPSEC_LIBDIR="${IPSEC_LIBDIR-/usr/lib/ipsec}" +IPSEC_SBINDIR="${IPSEC_SBINDIR-/usr/sbin}" +IPSEC_CONFS="${IPSEC_CONFS-/etc}" + if test " $IPSEC_DIR" = " " # if we were not called by the ipsec command then - # we must establish a suitable PATH ourselves - PATH=/usr/local/sbin:/sbin:/usr/sbin:/usr/local/bin:/bin:/usr/bin - export PATH + # we must establish a suitable PATH ourselves + PATH="${IPSEC_SBINDIR}":/sbin:/usr/sbin:/usr/local/bin:/bin:/usr/bin + export PATH + + IPSEC_DIR="$IPSEC_LIBDIR" + export IPSEC_DIR IPSEC_CONFS IPSEC_LIBDIR IPSEC_EXECDIR fi # Check that the ipsec command is available. @@ -87,22 +97,52 @@ exit 1 fi +# accept a few flags + +export IPSEC_setupflags +IPSEC_setupflags="" + +config="" + +for dummy +do + case "$1" in + --showonly|--show) IPSEC_setupflags="$1" ;; + --config) config="--config $2" ; shift ;; + *) break ;; + esac + shift +done + + # Pick up IPsec configuration (until we have done this, successfully, we # do not know where errors should go, hence the explicit "daemon.error"s.) # Note the "--export", which exports the variables created. -eval `ipsec _confread --varprefix IPSEC --export --type config setup` +eval `ipsec _confread $config --optional --varprefix IPSEC --export --type config setup` + if test " $IPSEC_confreadstatus" != " " then - echo "$IPSEC_confreadstatus -- \`$1' aborted" | - logger -s -p daemon.error -t ipsec_setup - exit 1 + case $1 in + stop|--stop|_autostop) + echo "$IPSEC_confreadstatus -- \`$1' may not work" | + logger -s -p daemon.error -t ipsec_setup;; + + *) echo "$IPSEC_confreadstatus -- \`$1' aborted" | + logger -s -p daemon.error -t ipsec_setup; + exit 1;; + esac fi + +IPSEC_confreadsection=${IPSEC_confreadsection:-setup} +export IPSEC_confreadsection + IPSECsyslog=${IPSECsyslog-daemon.error} export IPSECsyslog # misc setup umask 022 +mkdir -p /var/run/pluto # do it @@ -114,24 +154,33 @@ logger -s -p $IPSECsyslog -t ipsec_setup 2>&1 exit 1 fi - tmp=/var/run/ipsec_setup.st + tmp=/var/run/pluto/ipsec_setup.st + outtmp=/var/run/pluto/ipsec_setup.out ( ipsec _realsetup $1 echo "$?" >$tmp - ) 2>&1 | logger -s -p $IPSECsyslog -t ipsec_setup 2>&1 - st=`cat $tmp` - rm -f $tmp + ) > ${outtmp} 2>&1 + st=$? + if test -f $tmp + then + st=`cat $tmp` + rm -f $tmp + fi + if [ -f ${outtmp} ]; then + cat ${outtmp} | logger -s -p $IPSECsyslog -t ipsec_setup 2>&1 + rm -f ${outtmp} + fi exit $st ;; - restart|--restart) - $0 stop - $0 start + restart|--restart|force-reload) + $0 $IPSEC_setupflags stop + $0 $IPSEC_setupflags start ;; _autorestart) # for internal use only - $0 _autostop - $0 _autostart + $0 $IPSEC_setupflags _autostop + $0 $IPSEC_setupflags _autostart ;; status|--status) |
|
From: Heiko Z. <smi...@us...> - 2005-10-17 19:01:31
|
Update of /cvsroot/devil-linux/build/scripts/configuration/profiles In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv25865/scripts/configuration/profiles Modified Files: Tag: rel-1-2-patches default server Log Message: - updated acl to 2.2.32 - updated attr to 2.4.24 - updated bind to 9.3.1 - updated bison to 2.1 - updated busybox to 1.01 - updated iproute2 to 051007 - updated less to 382 - updated openswan to 2.4.2dr2 - updated openvpn to 2.0.2 - updated pci.ids - updated pciutils to 2.2.0 - updated usb.ids - updated usbutils to 0.71 - updated vim to 6.4 - updated xfsprogs to 2.7.3 Index: default =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/default,v retrieving revision 1.29.2.19 retrieving revision 1.29.2.20 diff -u -d -r1.29.2.19 -r1.29.2.20 --- default 17 Oct 2005 05:30:34 -0000 1.29.2.19 +++ default 17 Oct 2005 19:01:13 -0000 1.29.2.20 @@ -198,3 +198,4 @@ CONFIG_FREERADIUS=y CONFIG_KERBEROS5=y CONFIG_DANSGUARDIAN=y +CONFIG_SUPER_FREESWAN_NATT=y Index: server =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/Attic/server,v retrieving revision 1.1.2.9 retrieving revision 1.1.2.10 diff -u -d -r1.1.2.9 -r1.1.2.10 --- server 17 Oct 2005 05:39:51 -0000 1.1.2.9 +++ server 17 Oct 2005 19:01:13 -0000 1.1.2.10 @@ -196,3 +196,4 @@ CONFIG_MRTG=y CONFIG_DANSGUARDIAN=y CONFIG_FREERADIUS=y +CONFIG_SUPER_FREESWAN_NATT=y |
|
From: Heiko Z. <smi...@us...> - 2005-10-17 19:01:31
|
Update of /cvsroot/devil-linux/build/scripts/config In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv25865/scripts/config Modified Files: Tag: rel-1-2-patches config_busybox Log Message: - updated acl to 2.2.32 - updated attr to 2.4.24 - updated bind to 9.3.1 - updated bison to 2.1 - updated busybox to 1.01 - updated iproute2 to 051007 - updated less to 382 - updated openswan to 2.4.2dr2 - updated openvpn to 2.0.2 - updated pci.ids - updated pciutils to 2.2.0 - updated usb.ids - updated usbutils to 0.71 - updated vim to 6.4 - updated xfsprogs to 2.7.3 Index: config_busybox =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/config_busybox,v retrieving revision 1.18.2.1 retrieving revision 1.18.2.2 diff -u -d -r1.18.2.1 -r1.18.2.2 --- config_busybox 21 Aug 2004 15:22:05 -0000 1.18.2.1 +++ config_busybox 17 Oct 2005 19:01:12 -0000 1.18.2.2 @@ -15,7 +15,8 @@ CONFIG_FEATURE_DEVFS=y CONFIG_FEATURE_DEVPTS=y # CONFIG_FEATURE_CLEAN_UP is not set -# CONFIG_FEATURE_SUID is not set +CONFIG_FEATURE_SUID=y +# CONFIG_FEATURE_SUID_CONFIG is not set # CONFIG_SELINUX is not set # @@ -226,6 +227,7 @@ # CONFIG_FEATURE_USE_INITTAB is not set CONFIG_FEATURE_INITRD=y # CONFIG_FEATURE_INIT_COREDUMPS is not set +# CONFIG_FEATURE_INIT_SWAPON is not set # CONFIG_FEATURE_EXTRA_QUIET is not set CONFIG_HALT=y CONFIG_POWEROFF=y |
|
From: Heiko Z. <smi...@us...> - 2005-10-17 19:01:31
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv25865/scripts Modified Files: Tag: rel-1-2-patches iproute2 super-freeswan Log Message: - updated acl to 2.2.32 - updated attr to 2.4.24 - updated bind to 9.3.1 - updated bison to 2.1 - updated busybox to 1.01 - updated iproute2 to 051007 - updated less to 382 - updated openswan to 2.4.2dr2 - updated openvpn to 2.0.2 - updated pci.ids - updated pciutils to 2.2.0 - updated usb.ids - updated usbutils to 0.71 - updated vim to 6.4 - updated xfsprogs to 2.7.3 Index: iproute2 =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/iproute2,v retrieving revision 1.21.2.1 retrieving revision 1.21.2.2 diff -u -d -r1.21.2.1 -r1.21.2.2 --- iproute2 10 Oct 2004 19:31:19 -0000 1.21.2.1 +++ iproute2 17 Oct 2005 19:01:12 -0000 1.21.2.2 @@ -28,10 +28,10 @@ case $1 in build ) if [ "$CONFIG_IPROUTE2" = "y" ]; then - if [ ! -f devil-linux-patches.done ]; then - touch devil-linux-patches.done - zcat $DL_DIR/src/iproute_*.diff.gz | patch -p1 || exit 1 - fi + #if [ ! -f devil-linux-patches.done ]; then + # touch devil-linux-patches.done + # zcat $DL_DIR/src/iproute_*.diff.gz | patch -p1 || exit 1 + #fi replace_str Makefile /usr/src/linux $KERNELDIR replace_str Config "TC_CONFIG_ATM=y" "TC_CONFIG_ATM=n" Index: super-freeswan =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/Attic/super-freeswan,v retrieving revision 1.8.4.1 retrieving revision 1.8.4.2 diff -u -d -r1.8.4.1 -r1.8.4.2 --- super-freeswan 24 Jun 2004 01:02:14 -0000 1.8.4.1 +++ super-freeswan 17 Oct 2005 19:01:12 -0000 1.8.4.2 @@ -32,36 +32,38 @@ if [ "$CONFIG_SUPER_FREESWAN" = "y" ]; then # update kernel config if [ "$CONFIG_LINUX_VERSION" = "2.4" ]; then - DIRS=$(ls klips/net/ipsec/alg/Config*) - DIRS="klips/net/ipsec/Config.in $DIRS" - for DIR in $DIRS - do - echo $DIR - for CFG in $( grep tristate $DIR | cut -d "'" -f 3 | cut -d " " -f 2 ); do - set_kernel_option $CFG m - done - for CFG in $( grep bool $DIR | cut -d "'" -f 3 | cut -d " " -f 2 ); do - if [ ! "$CFG" = "CONFIG_IPSEC_DEBUG" ] \ - && [ ! "$CFG" = "CONFIG_IPSEC_ALG_NON_LIBRE" ] \ - && [ ! "$CFG" = "CONFIG_IPSEC_ALG_CRYPTOAPI" ]; then - set_kernel_option $CFG y - fi - done - done - set_kernel_option CONFIG_IPSEC m - set_kernel_option CONFIG_IPSEC_DEBUG n + set_kernel_option CONFIG_KLIBS m + set_kernel_option CONFIG_IPSEC_ALG y + set_kernel_option CONFIG_IPSEC_ENC_AES set_kernel_option CONFIG_IPSEC_ALG_NON_LIBRE n - set_kernel_option CONFIG_IPSEC_ALG_CRYPTOAPI n - - replace_str Makefile.inc /usr/local /usr - replace_str Makefile.inc /usr/src/linux $KERNELDIR - replace_str ./fswcert/Makefile /usr/local /usr - KERNELSRC=$KERNELDIR + set_kernel_option CONFIG_IPSEC_ALG_CRYPTOAPI m + set_kernel_option CONFIG_KLIBS m + set_kernel_option CONFIG_KLIPS_IPIP y + set_kernel_option CONFIG_KLIPS_AH y + set_kernel_option CONFIG_KLIPS_ESP y + set_kernel_option CONFIG_KLIPS_ENC_3DES y + set_kernel_option CONFIG_KLIPS_ENC_AES y + set_kernel_option CONFIG_KLIPS_AUTH_HMAC_MD5 y + set_kernel_option CONFIG_KLIPS_AUTH_HMAC_SHA1 y + set_kernel_option CONFIG_KLIPS_IPCOMP y + set_kernel_option CONFIG_KLIPS_DEBUG n + fi + replace_str Makefile.inc /usr/local /usr + replace_str Makefile.inc /usr/src/linux $KERNELDIR + KERNELSRC=$KERNELDIR + + if [ "$CONFIG_SUPER_FREESWAN_NATT" = "y" ] && [ ! -f .dl_natt_done ] ; then + set_kernel_option CONFIG_IPSEC_NAT_TRAVERSAL y + make nattpatch | patch -p1 -d $KERNELDIR || exit 1 + touch .dl_natt_done fi - # compile freeswan + # make sure we didn't miss any options + make -C $KERNELDIR oldconfig dep || exit 1 + + # compile freeswan # parallel build fails - do not use $PMAKE - make oldmod || exit 1 + make module || exit 1 make programs || exit 1 strip_debug @@ -71,21 +73,21 @@ install ) if [ "$CONFIG_SUPER_FREESWAN" = "y" ]; then - rm -rf $WORKDIR/tmp - mkdir -p $WORKDIR/tmp || exit 1 - make install DESTDIR=$WORKDIR/tmp || exit 1 - copy_docs $WORKDIR/tmp - mkdir -p $DOCDIR/freeswan || exit 1 - cp -dpR doc/* $DOCDIR/freeswan || exit 1 - cp -dpR CHANGES* $DOCDIR/freeswan || exit 1 - cp -dpR README* $DOCDIR/freeswan || exit 1 - rm -rf $WORKDIR/tmp/usr/local || exit 1 - cp -dpR $WORKDIR/tmp/usr $CDDIR || exit 1 - cp -dpR $WORKDIR/tmp/etc/ipsec.* $ETCDIR/etc/ || exit 1 + rm -rf $TMPDIR + mkdir -p $TMPDIR || exit 1 + make install minstall DESTDIR=$TMPDIR || exit 1 + copy_docs $TMPDIR + mkdir -p $DOCDIR/openswan || exit 1 + cp -dpR doc/* $DOCDIR/openswan || exit 1 + cp -dpR CHANGES* $DOCDIR/openswan || exit 1 + cp -dpR README* $DOCDIR/openswan || exit 1 + rm -rf $TMPDIR/usr/local || exit 1 + cp -dpR $TMPDIR/usr $CDDIR || exit 1 + rm -rf $TMPDIR/etc/rc.d || exit 1 + cp -dpR $TMPDIR/etc/* $ETCDIR/etc/ || exit 1 cp -p $MYDIR/scripts/ipsec $ETCDIR/etc/init.d || exit 1 - rm -rf $WORKDIR/tmp || exit 1 - mkdir -pm 700 $ETCDIR/etc/ipsec.d/cacerts || exit 1 - mkdir -pm 700 $ETCDIR/etc/ipsec.d/crls || exit 1 + rm -rf $TMPDIR || exit 1 + chmod 700 $ETCDIR/etc/ipsec.d || exit 1 # fix a problem with the read-only modules.dep replace_str $CDDIR/usr/lib/ipsec/_startklips "depmod -a >" "depmod -an >" |
|
From: Heiko Z. <smi...@us...> - 2005-10-17 19:01:31
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv25865/scripts/configuration Modified Files: Tag: rel-1-2-patches freeswan.config Log Message: - updated acl to 2.2.32 - updated attr to 2.4.24 - updated bind to 9.3.1 - updated bison to 2.1 - updated busybox to 1.01 - updated iproute2 to 051007 - updated less to 382 - updated openswan to 2.4.2dr2 - updated openvpn to 2.0.2 - updated pci.ids - updated pciutils to 2.2.0 - updated usb.ids - updated usbutils to 0.71 - updated vim to 6.4 - updated xfsprogs to 2.7.3 Index: freeswan.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/freeswan.config,v retrieving revision 1.7.2.1 retrieving revision 1.7.2.2 diff -u -d -r1.7.2.1 -r1.7.2.2 --- freeswan.config 24 Jun 2004 01:03:21 -0000 1.7.2.1 +++ freeswan.config 17 Oct 2005 19:01:13 -0000 1.7.2.2 @@ -6,3 +6,4 @@ # http://www.devil-linux.org test "$CONFIG_LINUX_VERSION" = "2.4" && menu_add "Networking|VPN" bool "Openswan (IPSec) for 2.4 " CONFIG_SUPER_FREESWAN +test "$CONFIG_SUPER_FREESWAN" = "y" && menu_add "Networking|VPN" bool "Openswan NAT Traversal Support " CONFIG_SUPER_FREESWAN_NATT |
|
From: Heiko Z. <smi...@us...> - 2005-10-17 19:01:30
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv25865 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: - updated acl to 2.2.32 - updated attr to 2.4.24 - updated bind to 9.3.1 - updated bison to 2.1 - updated busybox to 1.01 - updated iproute2 to 051007 - updated less to 382 - updated openswan to 2.4.2dr2 - updated openvpn to 2.0.2 - updated pci.ids - updated pciutils to 2.2.0 - updated usb.ids - updated usbutils to 0.71 - updated vim to 6.4 - updated xfsprogs to 2.7.3 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.160 retrieving revision 1.807.2.161 diff -u -d -r1.807.2.160 -r1.807.2.161 --- CHANGES 17 Oct 2005 06:33:09 -0000 1.807.2.160 +++ CHANGES 17 Oct 2005 19:01:12 -0000 1.807.2.161 @@ -22,6 +22,21 @@ # 1.2.7 +- updated acl to 2.2.32 +- updated attr to 2.4.24 +- updated bind to 9.3.1 +- updated bison to 2.1 +- updated busybox to 1.01 +- updated iproute2 to 051007 +- updated less to 382 +- updated openswan to 2.4.2dr2 +- updated openvpn to 2.0.2 +- updated pci.ids +- updated pciutils to 2.2.0 +- updated usb.ids +- updated usbutils to 0.71 +- updated vim to 6.4 +- updated xfsprogs to 2.7.3 - added rar3 and 7-zip support for clamav (Serge Leschinsky/ McMCC ) - updated gawk to 3.1.5 - updated groff to 1.19.2 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.93 retrieving revision 1.102.2.94 diff -u -d -r1.102.2.93 -r1.102.2.94 --- md5sum.lst 16 Oct 2005 00:50:35 -0000 1.102.2.93 +++ md5sum.lst 17 Oct 2005 19:01:12 -0000 1.102.2.94 @@ -56,7 +56,7 @@ 6b154c442a335c2a281defe17c8008e8 src/MOSKRN-1.9.0.tgz d28bd7e83d01b234144e336bbfde0caa src/Mail-SpamAssassin-3.1.0.tar.bz2 a2c089faa2726c142419c03472fc4063 src/Python-2.3.4.tar.bz2 -c448c1bee6014bc48a386c222d357873 src/acl-2.2.22.src.tar.gz +85d2e73c5a3175b96d1d956c52835fe4 src/acl-2.2.32.src.tar.gz 9c2156ce75e39675300e0c3a358018a5 src/alsa-driver-1.0.2.tar.bz2 b2a0d5d46e0d67e48594e98215ecfd73 src/alsa-lib-1.0.2.tar.bz2 464b4840c6416875171113f233d896e4 src/alsa-oss-1.0.2.tar.bz2 @@ -66,24 +66,25 @@ 64104a1fface0253e77318ca84948bac src/apcupsd-3.10.18.tar.gz 9ecd00db892737431b0e524f3e52e19e src/arpwatch.tar.gz 101d635b4769a611523bfbc7fb5aec52 src/arpwatch_repscr.patch.bz2 -816543754a6c61a066fae7749fa75473 src/attr-2.4.14.src.tar.gz +f696ab041e2981183cc507f7b0429207 src/attr-2.4.24.src.tar.gz 1ee40f7a676b3cfdc0e3f7cd81551b5f src/autoconf-2.59.tar.bz2 3a534ad55d781861e1e92d3b8d898a9a src/automake-1.9.5.tar.bz2 5238251b4926d778dfe162f6ce729733 src/bash-2.05b.tar.gz 2d6f5c39497a951120759dc72664033e src/beep-1.2.1.tar.gz -2ccbddbab59aedd6b8711b628b5472bd src/bind-9.2.4.tar.gz +35a265fb97a068c066e22306ea32fd1f src/bind-9.2.5.tar.gz 095f8a04f37df2ed5c99328ddc551a09 src/bing-1.1.3.tar.bz2 a87269da4db684da403014b43ec0b89e src/binutils-2.15.94.0.2.tar.bz2 -42c3a33b645f40197e8f7aca7bd1e913 src/bison-1.875.patch1-bs.bz2 -b7f8027b249ebd4dd0cc948943a71af0 src/bison-1.875.tar.bz2 +ef3110077462b1140b2ae612626e8486 src/bison-2.1.tar.bz2 9b7dc52656f5cbec846a7ba3299f73bd src/bridge-utils-1.0.6.tar.gz -cb28b670a20a4670827e4a9472d22f01 src/busybox-1.00-rc3.tar.bz2 +f250842dae2854a38470ed16a46bba66 src/busybox-1.01.tar.bz2 5b8773b4965618279277b05cd811e7b3 src/bzip2-1.0.2.tar.bz2 ffd824f13f99011984399fc3b7526c71 src/camsource-0.7.0.tar.bz2 560e49f5728797d8bbfb6eed963c6de1 src/cdrtools-2.0-kernel-26-patch.bz2 6c5683a6f85c89cc163307a5e434086c src/cdrtools-2.01.01a03.tar.bz2 376ee0327bb6060a03052cdc71bb371f src/chpax-0.6.tar.gz 9d88f2d090fcafcd0e2fa73b018b6e16 src/cipe-1.5.4.tar.gz +be015cb35e7a3d63660bc257a022bf8d src/clamav-0.87-libunrar3.patch.bz2 +82039057f4fee531dfb6b1f617fa4791 src/clamav-0.87-un7zip.patch.bz2 dd0a12deb4f48f760fa1fcd378ae7c24 src/clamav-0.87.tar.gz 0c030b9eb8f0d36daae5a32b8920dfd0 src/compartment-1.2-suse-patches.diff.bz2 2df15081f6475e6331cdd813f9d0918c src/compartment-1.2.tar.bz2 @@ -191,8 +192,7 @@ 3f6554c42665104edb18d26a4de93592 src/insserv-local.diff.bz2 f9ed8a729145ae613b3cdc518f1750e3 src/ipac-ng-1.31.tar.bz2 969832f3a42fc25b44045d73ea483f18 src/ipcalc.tar.bz2 -ac343233aa5d745341da9e4ec22475af src/iproute_20010824-11.diff.gz -b05a4e375d9468be3a1dd3f0e83daee8 src/iproute_20010824.orig.tar.gz +53f47d46f50eff9ed8c6fa2ac2b41a80 src/iproute2-051007.tar.gz 43f2d19eab30e254846626c21fc355be src/ipsec-tools-0.4b1.tar.gz 86d88455520cfdc56fd7ae27897a80a4 src/iptables-1.3.3.tar.bz2 7ff0bc933a0a57a4ca9e2b0443307539 src/iptraf-2.7.0.tar.gz @@ -214,7 +214,7 @@ c5dba6b80f583070fe9e6ed6e0c2162e src/l2tpd-0.69.tar.gz 571f031068ea7861282f0525d67a9aa0 src/l2tpd-patches.tgz b7fb1c24b940482cd730cf212d1b5062 src/lcd4linux-0.10.0.tar.gz -40c2dd4ac137b61b6a55a6478817daf4 src/less-381.tar.gz +103fe4aef6297b93f0f73f38cc3b1bd7 src/less-382.tar.gz d1c6749655991b5049897e6105973763 src/lftp-3.2.1.tar.bz2 5aa3b0d29b27b7a3e1d80962c94f54cb src/lha_1.14i-5.diff.gz 10410742b0169f3357ef9a3f0f032037 src/lha_1.14i.orig.tar.gz @@ -299,16 +299,17 @@ afc8700b5738da863b30208e1d3e9de8 src/openldap-2.2.26.tgz df899194a340c933944b193477c628fa src/openssh-4.2p1.tar.gz 8dc90a113eb8925795071fbe52b2932c src/openssl-0.9.7h.tar.gz -75176c4894ebb74cc44737a2ac5354cf src/openswan-1.0.9.tar.gz -7401faebc6baee9add32608709c54eec src/openvpn-2.0.tar.gz +6e76901fdd34ee9fb4de623690946bc9 src/openswan-2.4.2dr2.tar.gz +862f8788f080f669b1ae00a74ef68001 src/openvpn-2.0.2.tar.gz fccf09aed13393ee67e50cc57b52b500 src/opt-3.18.tar.bz2 +32a454861ca037562da11f08a8b5c1fd src/p7zip_4.27-libun7zip.patch.bz2 40dd0853d0c1c2cc019d6e2e8146555a src/passwdgen-1.diff.bz2 097cf193d1b040cf0d135945714faa83 src/passwdgen-2.2.tar.gz da2b30e2c425c4e64ed93544c3fca34d src/patch-o-matic-ng-20050607.tar.bz2 38a43b5a59d06f39f014262b69583ad8 src/pax-linux-2.4.26-200406252135.patch.bz2 d85064bb89183288e56ede3d2c311e56 src/pax-linux-2.6.6-200405182000.patch.bz2 -6357c6487f17f5094980ee2d804644ef src/pci.ids.bz2 -1d40f90aaae69594790bdb8ff90b4a41 src/pciutils-2.1.11.tar.gz +4b8d2ee3ad78e4d0343a74a9b0fb84a8 src/pci.ids.bz2 +303fc4bb9669549acf65e4a714527c7e src/pciutils-2.2.0.tar.gz 0d6d65be8896eff081aee996049afaa5 src/pcmcia-cs-3.2.8.tar.gz d8a2024eb56c331bb5c55601c3cd9ce1 src/pcre-6.2.tar.bz2 9452d398f0fcd4e5cd7ef6628bc78c6e src/pcwd-1.42.tar.gz @@ -396,18 +397,19 @@ 39b619147db54687c4a583a7a94c9163 src/ucspi-tcp-0.88.tar.gz b8f93446d52cd1e48323fa49f10a790c src/unarj_2.43-3.diff.gz 7a481dc017f1fbfa7f937a97e66eb99f src/unarj_2.43.orig.tar.gz +56931a35425517761477dd6a8863a4b0 src/unrar-3.5.2_fix.patch.bz2 1afca3128e21994042f34bcb91b4ea48 src/unrarsrc-3.2.3.tar.gz 8a25712aac642430d87d21491f7c6bd1 src/unzip551.tar.gz -ff9002fdc1b99a9c4d1ebc52605297f0 src/usb.ids.bz2 +f97497c70a194e6eca36500de5c0e61c src/usb.ids.bz2 2e8d4e13ea386592109ad3f5eb7e481f src/usbat-02.20031116.tar.gz f6ceb3328c80e8e83349c458a0331991 src/usbat02-kernel-Makefile.diff.bz2 d4b0f3015d69bbba493f8faadb7b9bf6 src/usbat02-kernel-config.diff.bz2 -05157bed61af65749f02713c10b8ef26 src/usbutils-0.11.tar.gz +479d7c7098ef44cc95e7978fd71c712c src/usbutils-0.71.tar.gz 29d98a96e665eb93cffe8d990fcf1350 src/util-linux-2.12-kernel-2.6.patch.bz2 54320aa1abbce00c0dc030e2c3afe5d7 src/util-linux-2.12q.tar.bz2 a6e98f81c3fc129b8343f4d90ee0e8af src/vhz-j64-2.4.23.patch.bz2 b4ca2f8b2f3bc1f0edfe7499ef4cd042 src/vhz-param.patch.bz2 -821fda8f14d674346b87e3ef9cb96389 src/vim-6.3.tar.bz2 +774c14d93ce58674b3b2c880edd12d77 src/vim-6.4.tar.bz2 1edd81324b4ffc0702c9ff289a342d91 src/vlan.1.8.tar.gz dec2837d33fbc1f96f77014d01739126 src/vobcopy-0.5.13.tar.bz2 74936cbd8e8251deb1cd99c5fb18b6f8 src/vsftpd-2.0.3.tar.gz @@ -425,7 +427,7 @@ a3c046086ebb951a65faa3eccd44ab48 src/wvstreams-3.70-wvresolver.patch.bz2 d62a75656feca3581f3678d17cbb880f src/wvstreams-3.70.install-libs.patch.bz2 6fd341edd65d248f92338ba9e91a2875 src/wvstreams-3.70.tar.gz -bd0f6246e8fa0e4b8f43fdb642b94d65 src/xfsprogs-2.6.3.src.tar.gz +89728c0d84258c94e629bf39e4ba1509 src/xfsprogs-2.7.3.src.tar.gz 4295b5fe12350f09b5892b363348ac8b src/xinetd-2.3.13.tar.gz 4a6792c367a3e01e4af7b07f449039e9 src/yp-tools-2.8.tar.bz2 390470ce9f41bd6929102972b9b8a1b7 src/yp_auth.patch.bz2 |
|
From: Serge L. <sma...@us...> - 2005-10-17 13:27:24
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv6634 Modified Files: clamav Log Message: - $TMPDIR recovered Index: clamav =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/clamav,v retrieving revision 1.15 retrieving revision 1.16 diff -u -d -r1.15 -r1.16 --- clamav 17 Oct 2005 13:05:39 -0000 1.15 +++ clamav 17 Oct 2005 13:27:15 -0000 1.16 @@ -44,23 +44,23 @@ install ) if [ "$CONFIG_CLAMAV" = "y" ]; then - rm -rf $WORKDIR/tmp || exit 1 - mkdir -p $WORKDIR/tmp/usr/sbin || exit 1 - make install DESTDIR=$WORKDIR/tmp || exit 1 + rm -rf $TMPDIR || exit 1 + mkdir -p $TMPDIR/usr/sbin || exit 1 + make install DESTDIR=$TMPDIR || exit 1 - copy_docs $WORKDIR/tmp + copy_docs $TMPDIR cp etc/*conf $ETCDIR/etc/ || exit 1 useradd -u 45 -s /bin/false -g vscan clamav || exit 1 - rm -rf $WORKDIR/tmp/usr/include || exit 1 - rm -rf $WORKDIR/tmp/usr/lib/*a || exit 1 - copy_files $WORKDIR/tmp/usr $CDDIR/ || exit 1 + rm -rf $TMPDIR/usr/include || exit 1 + rm -rf $TMPDIR/usr/lib/*a || exit 1 + copy_files $TMPDIR/usr $CDDIR/ || exit 1 mkdir -p $CDDIR/var/lib/clamav || exit 1 chmod -R 700 $CDDIR/var/lib/clamav || exit 1 chown -R clamav $CDDIR/var/lib/clamav || exit 1 - rm -rf $WORKDIR/tmp || exit 1 + rm -rf $TMPDIR || exit 1 cp -dp $MYDIR/scripts/clamav $ETCDIR/etc/init.d/ || exit 1 echo "# Start ClamAV daemon?" >> $CONFIGFILE |
|
From: Serge L. <sma...@us...> - 2005-10-17 13:21:27
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv4951 Modified Files: CHANGES Log Message: - added rar3 and 7-zip support for clamav Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.980 retrieving revision 1.981 diff -u -d -r1.980 -r1.981 --- CHANGES 16 Oct 2005 01:00:59 -0000 1.980 +++ CHANGES 17 Oct 2005 13:21:09 -0000 1.981 @@ -22,6 +22,7 @@ # 1.3.2 +- added rar3 and 7-zip support for clamav (Serge Leschinsky/ McMCC ) - updated gawk to 3.1.5 - updated groff to 1.19.2 - updated httpd to 2.0.55 |
|
From: Serge L. <sma...@us...> - 2005-10-17 13:05:54
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv32239/scripts/configuration Added Files: clamav_patch.config Log Message: - added rar3 & 7-zip support for clamav --- NEW FILE: clamav_patch.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/clamav_patch.config,v $ # $Revision: 1.2 $ # $Date: 2005/10/17 13:05:40 $ # # http://www.devil-linux.org [ "$CONFIG_CLAMAV" = "y" ] && \ menu_add "Networking|Mail" bool "Clam Antivirus patchset (rar3 and 7-zip support)" CONFIG_CLAMAV_PATCH |
|
From: Serge L. <sma...@us...> - 2005-10-17 13:05:53
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv32239/scripts Modified Files: clamav unrar Added Files: p7zip Log Message: - added rar3 & 7-zip support for clamav Index: unrar =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/unrar,v retrieving revision 1.4 retrieving revision 1.5 diff -u -d -r1.4 -r1.5 --- unrar 11 Jan 2004 14:43:05 -0000 1.4 +++ unrar 17 Oct 2005 13:05:39 -0000 1.5 @@ -28,12 +28,30 @@ make $PMAKE -f makefile.unix || exit 1 strip_debug fi + if [ "$CONFIG_CLAMAV_PATCH" = "y" ]; then + mv unrar unrar.binary || exit 1 + make clean -f makefile.unix || exit 1 + patch -p1 < $SRCDIR/unrar-3.5.2_fix.patch.bz2 || exit 1 + make $PMAKE -f makefile.unix lib || exit 1 +# We should install libs immediately + install -s -D -m 755 libunrar3.so /usr/lib/libunrar3.so || exit 1 + install -D -m 644 dll.hpp /usr/include/libunrar3/dll.hpp || exit 1 + fi ;; install ) if [ "$CONFIG_UNRAR" = "y" ]; then - cp unrar $CDDIR/usr/bin || exit 1 + cp unrar $CDDIR/usr/bin || exit 1 + if [ "$CONFIG_CLAMAV_PATCH" = "y" ]; then + cp unrar.binary $CDDIR/usr/bin/unrar || exit 1 + fi + fi + fi + if [ "$CONFIG_CLAMAV_PATCH" = "y" ]; then + install -s -D -m 755 libunrar3.so $CDDIR/usr/lib/libunrar3.so || exit 1 + fi + ;; * ) Index: clamav =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/clamav,v retrieving revision 1.14 retrieving revision 1.15 diff -u -d -r1.14 -r1.15 --- clamav 1 Feb 2005 01:20:16 -0000 1.14 +++ clamav 17 Oct 2005 13:05:39 -0000 1.15 @@ -9,7 +9,7 @@ ### BEGIN INIT INFO # Provides: clamav -# Required-Start: $basebuildtools $libs +# Required-Start: $basebuildtools $libs unrar p7zip # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -25,6 +25,14 @@ case $1 in build ) if [ "$CONFIG_CLAMAV" = "y" ]; then + if [ "$CONFIG_CLAMAV_PATCH" = "y" ]; then + patch -p1 < $SRCDIR/clamav-0.87-libunrar3.patch.bz2 || exit 1 + patch -p1 < $SRCDIR/clamav-0.87-un7zip.patch.bz2 || exit 1 + aclocal + autoconf + automake + fi + ./configure --prefix=/usr --sysconfdir=/etc --disable-clamav --with-dbdir=/var/lib/clamav || exit 1 make $PMAKE all || exit 1 strip_debug @@ -36,23 +44,23 @@ install ) if [ "$CONFIG_CLAMAV" = "y" ]; then - rm -rf $TMPDIR || exit 1 - mkdir -p $TMPDIR/usr/sbin || exit 1 - make install DESTDIR=$TMPDIR || exit 1 + rm -rf $WORKDIR/tmp || exit 1 + mkdir -p $WORKDIR/tmp/usr/sbin || exit 1 + make install DESTDIR=$WORKDIR/tmp || exit 1 - copy_docs $TMPDIR + copy_docs $WORKDIR/tmp cp etc/*conf $ETCDIR/etc/ || exit 1 useradd -u 45 -s /bin/false -g vscan clamav || exit 1 - rm -rf $TMPDIR/usr/include || exit 1 - rm -rf $TMPDIR/usr/lib/*a || exit 1 - copy_files $TMPDIR/usr $CDDIR/ || exit 1 + rm -rf $WORKDIR/tmp/usr/include || exit 1 + rm -rf $WORKDIR/tmp/usr/lib/*a || exit 1 + copy_files $WORKDIR/tmp/usr $CDDIR/ || exit 1 mkdir -p $CDDIR/var/lib/clamav || exit 1 chmod -R 700 $CDDIR/var/lib/clamav || exit 1 chown -R clamav $CDDIR/var/lib/clamav || exit 1 - rm -rf $TMPDIR || exit 1 + rm -rf $WORKDIR/tmp || exit 1 cp -dp $MYDIR/scripts/clamav $ETCDIR/etc/init.d/ || exit 1 echo "# Start ClamAV daemon?" >> $CONFIGFILE --- NEW FILE: p7zip --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/p7zip,v $ # $Revision: 1.2 $ # $Date: 2005/10/17 13:05:39 $ # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: p7zip # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: description ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} #MYNAME=p7zip # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_CLAMAV_PATCH" = "y" ]; then patch -p1 < $SRCDIR/p7zip_4.27-libun7zip.patch.bz2 || exit 1 pushd 7zip/Bundles/Un7Zip > /dev/null || exit 1 make $PMAKE || exit 1 # We should install libs immediately install -s -D -m 755 libun7zip.so /usr/lib/libun7zip.so || exit 1 install -D -m 644 u7zip.h /usr/include/u7zip.h || exit 1 popd > /dev/null || exit 1 fi ;; install ) if [ "$CONFIG_CLAMAV_PATCH" = "y" ]; then install -s -D -m 755 libun7zip.so $CDDIR/usr/lib/libun7zip.so || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Serge L. <sma...@us...> - 2005-10-17 06:33:17
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv19444 Modified Files: Tag: rel-1-2-patches CHANGES Log Message: - added rar3 and 7-zip support for clamav Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.159 retrieving revision 1.807.2.160 diff -u -d -r1.807.2.159 -r1.807.2.160 --- CHANGES 16 Oct 2005 00:50:35 -0000 1.807.2.159 +++ CHANGES 17 Oct 2005 06:33:09 -0000 1.807.2.160 @@ -22,6 +22,7 @@ # 1.2.7 +- added rar3 and 7-zip support for clamav (Serge Leschinsky/ McMCC ) - updated gawk to 3.1.5 - updated groff to 1.19.2 - updated httpd to 2.0.55 |
|
From: Serge L. <sma...@us...> - 2005-10-17 05:39:59
|
Update of /cvsroot/devil-linux/build/scripts/configuration/profiles In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv12095/scripts/configuration/profiles Modified Files: Tag: rel-1-2-patches server Log Message: - added clamav patch Index: server =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/Attic/server,v retrieving revision 1.1.2.8 retrieving revision 1.1.2.9 diff -u -d -r1.1.2.8 -r1.1.2.9 --- server 3 Oct 2005 06:51:05 -0000 1.1.2.8 +++ server 17 Oct 2005 05:39:51 -0000 1.1.2.9 @@ -9,6 +9,7 @@ CONFIG_DVDRWTOOLS=y CONFIG_CIPE=y CONFIG_CLAMAV=y +CONFIG_CLAMAV_PATCH=y CONFIG_CPQARRAYD=y CONFIG_CPU=686 CONFIG_CRON=y |
|
From: Serge L. <sma...@us...> - 2005-10-17 05:30:42
|
Update of /cvsroot/devil-linux/build/scripts/configuration/profiles In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv10784/scripts/configuration/profiles Modified Files: Tag: rel-1-2-patches default Log Message: - added clamav patch Index: default =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/default,v retrieving revision 1.29.2.18 retrieving revision 1.29.2.19 diff -u -d -r1.29.2.18 -r1.29.2.19 --- default 7 Oct 2005 23:09:37 -0000 1.29.2.18 +++ default 17 Oct 2005 05:30:34 -0000 1.29.2.19 @@ -9,6 +9,7 @@ CONFIG_DVDRWTOOLS=y CONFIG_CIPE=y CONFIG_CLAMAV=y +CONFIG_CLAMAV_PATCH=y CONFIG_CPQARRAYD=y CONFIG_CPU=586 CONFIG_CRON=y |
|
From: Serge L. <sma...@us...> - 2005-10-17 05:28:56
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv10225/scripts/configuration Added Files: Tag: rel-1-2-patches clamav_patch.config Log Message: - clamav patch for rar3 & 7-zip support --- NEW FILE: clamav_patch.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/Attic/clamav_patch.config,v $ # $Revision: 1.1.2.1 $ # $Date: 2005/10/17 05:28:42 $ # # http://www.devil-linux.org [ "$CONFIG_CLAMAV" = "y" ] && \ menu_add "Networking|Mail" bool "Clam Antivirus patchset (rar3 and 7-zip support)" CONFIG_CLAMAV_PATCH |
|
From: Serge L. <sma...@us...> - 2005-10-17 05:28:56
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv10225/scripts Added Files: Tag: rel-1-2-patches p7zip Log Message: - clamav patch for rar3 & 7-zip support --- NEW FILE: p7zip --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/Attic/p7zip,v $ # $Revision: 1.1.2.1 $ # $Date: 2005/10/17 05:28:42 $ # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: p7zip # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: description ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} #MYNAME=p7zip # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_CLAMAV_PATCH" = "y" ]; then patch -p1 < $SRCDIR/p7zip_4.27-libun7zip.patch.bz2 || exit 1 pushd 7zip/Bundles/Un7Zip > /dev/null || exit 1 make $PMAKE || exit 1 # We should install libs immediately install -s -D -m 755 libun7zip.so /usr/lib/libun7zip.so || exit 1 install -D -m 644 u7zip.h /usr/include/u7zip.h || exit 1 popd > /dev/null || exit 1 fi ;; install ) if [ "$CONFIG_CLAMAV_PATCH" = "y" ]; then install -s -D -m 755 libun7zip.so $CDDIR/usr/lib/libun7zip.so || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Serge L. <sma...@us...> - 2005-10-17 05:27:07
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv9977/scripts Modified Files: Tag: rel-1-2-patches unrar clamav Log Message: - clamap patch for rar3 & 7-zip support Index: unrar =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/unrar,v retrieving revision 1.4 retrieving revision 1.4.2.1 diff -u -d -r1.4 -r1.4.2.1 --- unrar 11 Jan 2004 14:43:05 -0000 1.4 +++ unrar 17 Oct 2005 05:26:58 -0000 1.4.2.1 @@ -28,12 +28,30 @@ make $PMAKE -f makefile.unix || exit 1 strip_debug fi + if [ "$CONFIG_CLAMAV_PATCH" = "y" ]; then + mv unrar unrar.binary || exit 1 + make clean -f makefile.unix || exit 1 + patch -p1 < $SRCDIR/unrar-3.5.2_fix.patch.bz2 || exit 1 + make $PMAKE -f makefile.unix lib || exit 1 +# We should install libs immediately + install -s -D -m 755 libunrar3.so /usr/lib/libunrar3.so || exit 1 + install -D -m 644 dll.hpp /usr/include/libunrar3/dll.hpp || exit 1 + fi ;; install ) if [ "$CONFIG_UNRAR" = "y" ]; then - cp unrar $CDDIR/usr/bin || exit 1 + cp unrar $CDDIR/usr/bin || exit 1 + if [ "$CONFIG_CLAMAV_PATCH" = "y" ]; then + cp unrar.binary $CDDIR/usr/bin/unrar || exit 1 + fi + fi + fi + if [ "$CONFIG_CLAMAV_PATCH" = "y" ]; then + install -s -D -m 755 libunrar3.so $CDDIR/usr/lib/libunrar3.so || exit 1 + fi + ;; * ) Index: clamav =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/clamav,v retrieving revision 1.9.2.4 retrieving revision 1.9.2.5 diff -u -d -r1.9.2.4 -r1.9.2.5 --- clamav 1 Feb 2005 01:13:27 -0000 1.9.2.4 +++ clamav 17 Oct 2005 05:26:58 -0000 1.9.2.5 @@ -9,7 +9,7 @@ ### BEGIN INIT INFO # Provides: clamav -# Required-Start: $basebuildtools $libs +# Required-Start: $basebuildtools $libs unrar p7zip # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -25,6 +25,14 @@ case $1 in build ) if [ "$CONFIG_CLAMAV" = "y" ]; then + if [ "$CONFIG_CLAMAV_PATCH" = "y" ]; then + patch -p1 < $SRCDIR/clamav-0.87-libunrar3.patch.bz2 || exit 1 + patch -p1 < $SRCDIR/clamav-0.87-un7zip.patch.bz2 || exit 1 + aclocal + autoconf + automake + fi + ./configure --prefix=/usr --sysconfdir=/etc --disable-clamav --with-dbdir=/var/lib/clamav || exit 1 make $PMAKE all || exit 1 strip_debug |
|
From: Heiko Z. <smi...@us...> - 2005-10-16 01:01:11
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv24531 Modified Files: CHANGES md5sum.lst Log Message: - updated gawk to 3.1.5 - updated groff to 1.19.2 - updated httpd to 2.0.55 - updated imap to 2004g - updated openssl to 0.9.7h - updated shadow to 4.0.13 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.979 retrieving revision 1.980 diff -u -d -r1.979 -r1.980 --- CHANGES 11 Oct 2005 13:44:06 -0000 1.979 +++ CHANGES 16 Oct 2005 01:00:59 -0000 1.980 @@ -22,6 +22,12 @@ # 1.3.2 +- updated gawk to 3.1.5 +- updated groff to 1.19.2 +- updated httpd to 2.0.55 +- updated imap to 2004g +- updated openssl to 0.9.7h +- updated shadow to 4.0.13 - increase syslog-ng max_connections to 1000 - updated apcupsd to 3.10.18 - updated cyrus-sasl to 2.1.21 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.236 retrieving revision 1.237 diff -u -d -r1.236 -r1.237 --- md5sum.lst 8 Oct 2005 18:18:25 -0000 1.236 +++ md5sum.lst 16 Oct 2005 01:00:59 -0000 1.237 @@ -150,7 +150,7 @@ ca3f1990522815ccd0a78e9de3afad43 src/freeramdisk.tar.gz d30c35b9820d706ff2f9a6ab3b501247 src/frox-0.7.18.tar.bz2 a0aa323568862e23fdbc6473ce6a01b5 src/fwlogwatch-1.0.tar.bz2 -a116eec17e7ba085febb74c7758823bd src/gawk-3.1.3.tar.bz2 +5703f72d0eea1d463f735aad8222655f src/gawk-3.1.5.tar.bz2 b594ff4ea4fbef4ba9220887de713dfe src/gcc-3.4.4.tar.bz2 14bf0b840b309ae8a29934a7a0743fd3 src/gd-2.0.28.tar.gz 1d1b1d5c0245b1c00aff92da751e9aa1 src/gdbm-1.8.3.tar.gz @@ -169,7 +169,7 @@ b16e493d2cfb0f4ed9388ac073d08c18 src/gradm-2.1.7-200509102124.tar.gz 30ccfe4f0762eacc844f0e12e6bcecf3 src/gradm-distro.diff.bz2 ddd99e2d5d4f4611357e31e97f080cf2 src/grep-2.5.1.tar.bz2 -57d155378640c12a80642664dfdfc892 src/groff-1.19.1.tar.gz +f7c9cf2e4b9967d3af167d7c9fadaae4 src/groff-1.19.2.tar.gz 0344c9619976ef7d5fb86d3c63b46315 src/grsecurity-2.1.7-2.6.13.2-200509302129.patch.gz cd3f3eb54446be6003156158d51f4884 src/grub-0.97.tar.gz 3d6c191dfd2bf307014b421c12dc8469 src/gzip-1.3.5.tar.gz @@ -182,14 +182,14 @@ 55ee0ac0b49c3218b8d5974754ea8d56 src/hotplug-2004_01_05.tar.bz2 e61f5a5396ed70c5971a13bd6d1ad3de src/hotplug_nowarning.diff.bz2 24a53cbaf5fa312145e599d256d81403 src/htb3.6_tc.diff -4ae8a38c6b5db9046616ce10a0d551a2 src/httpd-2.0.54.tar.bz2 +f1b5b65c8661db9ffe38b5a4a865a0e2 src/httpd-2.0.55.tar.bz2 5569049be9d17f697e2838ab5c449a41 src/i2c-2.9.2.tar.gz 0cd6740d0d14806a400f23e09835ca90 src/ians-2.3.63b.tar.gz c0174e5d2c26dc4f4c9a4c1f79639a3e src/id3-0.76.tar.gz 7a0fef5f9fb4838955942caa87863f39 src/id3lib-cvs-20050205.tar.bz2 68afc3827cf01501dfb22949f901f1d8 src/id3v2-0.1.11.tar.gz 9c51c660862609a580be62a350b5efc6 src/ifenslave-1.1.0.tar.bz2 -0ecf9815d903c70047bda33c36033815 src/imap-2004b.RC1.tar.Z +9a80f58d8d6a0979c13714ae69050020 src/imap-2004g.tar.Z 477e1cfdebe4efd9cb4dfbab8772300b src/inetutils-1.4.2-fix_installation-1.patch.bz2 0f3c6b58f424f6689cffdc6610cd3f90 src/inetutils-1.4.2-kernel_headers-1.patch.bz2 5dac06a5b09da20cf81d6fa0ca265a47 src/inetutils-1.4.2-ping-1.patch.bz2 @@ -308,7 +308,7 @@ 3e6ba22d3f8b7f41c00793e7e28c31e5 src/openh323-v1_17_2-src.tar.gz afc8700b5738da863b30208e1d3e9de8 src/openldap-2.2.26.tgz df899194a340c933944b193477c628fa src/openssh-4.2p1.tar.gz -991615f73338a571b6a1be7d74906934 src/openssl-0.9.7g.tar.gz +8dc90a113eb8925795071fbe52b2932c src/openssl-0.9.7h.tar.gz b36a595bce3519186a9a08adaa83fc51 src/openswan-1.0.7.tar.gz 7401faebc6baee9add32608709c54eec src/openvpn-2.0.tar.gz 587171c4e15a40adde8aa1b3d77328e9 src/opt-3.19.tar.gz @@ -368,7 +368,7 @@ 952fadd9f76e128ee9a4be350a647713 src/ser-0.8.12_src.tar.gz c4867d72c41564318e0107745eb7a0f2 src/setserial-2.17.tar.gz a39e1431ba8766417ccfac74d661cb23 src/sg3_utils-1.17.tar.bz2 -609a417a45827c36ba6e33f9dc785371 src/shadow-4.0.12.tar.bz2 +5c6a105d89afb0900922260e9c5650cc src/shadow-4.0.13.tar.bz2 016f49d71bc32eee2b5d11fc1600cfbe src/shfs-0.35.tar.gz e454f4af193b8546d3c75fb82647051a src/shorewall-2.2.5.tgz fc2cb32e926b25afa24f450f9a48fbb1 src/smartmontools-5.26.tar.gz @@ -422,7 +422,7 @@ 21de2017847ec52d0e511d3f20e38dd8 src/watchdog-errno.patch.bz2 99c5692b628956134ef63a0443b2f8e2 src/watchdog_5.2.3.orig.tar.gz 26d0a3c142423678daed2d6f579525d8 src/webalizer-2.01-10-src.tar.bz2 -879a15cc9093796b8a5035ff0d0d25ad src/wget-1.10.1.tar.gz +795fefbb7099f93e2d346b026785c4b8 src/wget-1.10.2.tar.gz 3897f2a9d0c53a166ba68be9c21353a6 src/which-2.14.tar.gz 41cc0635976d6d0b33ba3067ad246b97 src/whois_4.7.8.tar.gz 29891b66f23565e7e381d28404abb29a src/wireless_tools.27.tar.gz |
|
From: Heiko Z. <smi...@us...> - 2005-10-16 01:01:11
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv24531/scripts Modified Files: openh323gk shadow Log Message: - updated gawk to 3.1.5 - updated groff to 1.19.2 - updated httpd to 2.0.55 - updated imap to 2004g - updated openssl to 0.9.7h - updated shadow to 4.0.13 Index: shadow =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/shadow,v retrieving revision 1.22 retrieving revision 1.23 diff -u -d -r1.22 -r1.23 --- shadow 12 Aug 2005 00:45:26 -0000 1.22 +++ shadow 16 Oct 2005 01:00:59 -0000 1.23 @@ -25,7 +25,8 @@ case $1 in build ) - ./configure --prefix=/usr --disable-nls --with-gnu-ld --enable-shared --enable-shadowgrp --enable-shadowgrp || exit 1 + ./configure --prefix=/usr --disable-nls --with-gnu-ld --enable-shared --enable-shadowgrp \ + --without-selinux || exit 1 make $PMAKE || exit 1 strip_debug @@ -51,7 +52,7 @@ rm -rf $TMPDIR/lib/*.a rm -rf $TMPDIR/lib/*.la cp -dpR etc/{limits,login.access,login.def*,useradd} $ETCDIR/etc/ || exit 1 - sed 's%^#MD5_CRYPT_ENAB.*no%MD5_CRYPT_ENAB yes%' etc/login.defs.linux > $ETCDIR/etc/login.defs && + sed 's%^#MD5_CRYPT_ENAB.*no%MD5_CRYPT_ENAB yes%' etc/login.defs > $ETCDIR/etc/login.defs && rm -rf $TMPDIR/usr/share || exit 1 rm -rf $TMPDIR/lib || exit 1 cp -dpR $TMPDIR/* $CDDIR/ || exit 1 Index: openh323gk =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/openh323gk,v retrieving revision 1.15 retrieving revision 1.16 diff -u -d -r1.15 -r1.16 --- openh323gk 1 Aug 2005 22:12:56 -0000 1.15 +++ openh323gk 16 Oct 2005 01:00:59 -0000 1.16 @@ -30,7 +30,7 @@ case $1 in build ) if [ "$CONFIG_OPENH323GK" = "y" ]; then - cd $(find_src_dir gnugk) + #cd $(find_src_dir gnugk) CXX="gcc" if [ "$CONFIG_GCC_STACK_PROTECTOR" = "y" ]; then CXX="gcc -fno-stack-protector" |
|
From: Heiko Z. <smi...@us...> - 2005-10-16 01:00:53
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv24204 Modified Files: Tag: rel-1-2-patches shadow Log Message: make sure we can copy the script to the 1.3 tree Index: shadow =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/shadow,v retrieving revision 1.16.2.3 retrieving revision 1.16.2.4 diff -u -d -r1.16.2.3 -r1.16.2.4 --- shadow 16 Oct 2005 00:50:35 -0000 1.16.2.3 +++ shadow 16 Oct 2005 01:00:15 -0000 1.16.2.4 @@ -40,23 +40,23 @@ groupadd -g 15 wheel fi - rm -rf $WORKDIR/tmp || exit 1 - mkdir -p $WORKDIR/tmp || exit 1 - make DESTDIR=$WORKDIR/tmp install || exit 1 - chmod 700 $WORKDIR/tmp/bin/login || exit 1 - chmod 4550 $WORKDIR/tmp/bin/su || exit 1 - chgrp wheel $WORKDIR/tmp/bin/su || exit 1 - chmod -c go-rx $WORKDIR/tmp/usr/sbin/{chpasswd,group*,grp[cu]*,logoutd,newusers,pw[cu]*,user*} || exit 1 + rm -rf $TMPDIR || exit 1 + mkdir -p $TMPDIR || exit 1 + make DESTDIR=$TMPDIR install || exit 1 + chmod 700 $TMPDIR/bin/login || exit 1 + chmod 4550 $TMPDIR/bin/su || exit 1 + chgrp wheel $TMPDIR/bin/su || exit 1 + chmod -c go-rx $TMPDIR/usr/sbin/{chpasswd,group*,grp[cu]*,logoutd,newusers,pw[cu]*,user*} || exit 1 copy_man ./man - rm -rf $WORKDIR/tmp/usr/share - rm -rf $WORKDIR/tmp/lib/*.a - rm -rf $WORKDIR/tmp/lib/*.la + rm -rf $TMPDIR/usr/share + rm -rf $TMPDIR/lib/*.a + rm -rf $TMPDIR/lib/*.la cp -dpR etc/{limits,login.access,login.def*,useradd} $ETCDIR/etc/ || exit 1 sed 's%^#MD5_CRYPT_ENAB.*no%MD5_CRYPT_ENAB yes%' etc/login.defs > $ETCDIR/etc/login.defs && - rm -rf $WORKDIR/tmp/usr/share || exit 1 - rm -rf $WORKDIR/tmp/lib || exit 1 - cp -dpR $WORKDIR/tmp/* $CDDIR/ || exit 1 - rm -rf $WORKDIR/tmp || exit 1 + rm -rf $TMPDIR/usr/share || exit 1 + rm -rf $TMPDIR/lib || exit 1 + cp -dpR $TMPDIR/* $CDDIR/ || exit 1 + rm -rf $TMPDIR || exit 1 ;; * ) |
|
From: Heiko Z. <smi...@us...> - 2005-10-16 00:50:44
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv22821 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: - updated gawk to 3.1.5 - updated groff to 1.19.2 - updated httpd to 2.0.55 - updated imap to 2004g - updated openssl to 0.9.7h - updated shadow to 4.0.13 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.158 retrieving revision 1.807.2.159 diff -u -d -r1.807.2.158 -r1.807.2.159 --- CHANGES 11 Oct 2005 13:43:43 -0000 1.807.2.158 +++ CHANGES 16 Oct 2005 00:50:35 -0000 1.807.2.159 @@ -22,6 +22,13 @@ # 1.2.7 +- updated gawk to 3.1.5 +- updated groff to 1.19.2 +- updated httpd to 2.0.55 +- updated imap to 2004g +- updated openssl to 0.9.7h +- updated shadow to 4.0.13 +- updated wget to 1.10.2 - increase syslog-ng max_connections to 1000 - added logrotate.conf.openvpn (BS / Michele Pensotti) - updated apcupsd to 3.10.18 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.92 retrieving revision 1.102.2.93 diff -u -d -r1.102.2.92 -r1.102.2.93 --- md5sum.lst 8 Oct 2005 18:14:35 -0000 1.102.2.92 +++ md5sum.lst 16 Oct 2005 00:50:35 -0000 1.102.2.93 @@ -142,7 +142,7 @@ ca3f1990522815ccd0a78e9de3afad43 src/freeramdisk.tar.gz d30c35b9820d706ff2f9a6ab3b501247 src/frox-0.7.18.tar.bz2 a0aa323568862e23fdbc6473ce6a01b5 src/fwlogwatch-1.0.tar.bz2 -a116eec17e7ba085febb74c7758823bd src/gawk-3.1.3.tar.bz2 +5703f72d0eea1d463f735aad8222655f src/gawk-3.1.5.tar.bz2 fd0111ff25e29a8d4864eeb51ef42101 src/gcc-3.3.1-no_fixincludes-2.patch.bz2 1df0644b1109cbc6e31fe5f3a4ffcac2 src/gcc-3.3.1-suppress-libiberty.patch.bz2 51956a5ad3350538a7fd0cadd223afd6 src/gcc-3.3.2-et_dyn-specs.bz2 @@ -163,7 +163,7 @@ 0abd1a7747c7d5ecdc7499b5671a89d2 src/gradm-2.1.6-200506131347.tar.gz 30ccfe4f0762eacc844f0e12e6bcecf3 src/gradm-distro.diff.bz2 ddd99e2d5d4f4611357e31e97f080cf2 src/grep-2.5.1.tar.bz2 -57d155378640c12a80642664dfdfc892 src/groff-1.19.1.tar.gz +f7c9cf2e4b9967d3af167d7c9fadaae4 src/groff-1.19.2.tar.gz 0b69ba51545ce9b9bb2f3274d62346c5 src/grsecurity-2.0-2.6.5.patch.bz2 99901f594a28c3f6b97f96690327e416 src/grsecurity-2.1.6-2.4.31-200506141150.patch.gz b5aa755f4e2b3f3c54116ba3887c0393 src/grsecurity-kernel-vhz1.patch.bz2 @@ -179,12 +179,12 @@ e61f5a5396ed70c5971a13bd6d1ad3de src/hotplug_nowarning.diff.bz2 32f5523f17488ba452408cb3e51394b3 src/ht-20050321-0.98.2-bgp-md5.patch.bz2 24a53cbaf5fa312145e599d256d81403 src/htb3.6_tc.diff -4ae8a38c6b5db9046616ce10a0d551a2 src/httpd-2.0.54.tar.bz2 +f1b5b65c8661db9ffe38b5a4a865a0e2 src/httpd-2.0.55.tar.bz2 5569049be9d17f697e2838ab5c449a41 src/i2c-2.9.2.tar.gz 0cd6740d0d14806a400f23e09835ca90 src/ians-2.3.63b.tar.gz c0174e5d2c26dc4f4c9a4c1f79639a3e src/id3-0.76.tar.gz 9c51c660862609a580be62a350b5efc6 src/ifenslave-1.1.0.tar.bz2 -0d246d868f20d8c441d235b77c940676 src/imap-2002e.tar.Z +9a80f58d8d6a0979c13714ae69050020 src/imap-2004g.tar.Z 30ed19d5465d7e8472112cde0edc89ce src/insserv-1.00.2.tar.bz2 68ec8cb81ae95d7da2a3b5f501a9488a src/insserv-boot.diff.bz2 7c07ae671bfd83c39bf03cf5d373eb16 src/insserv-core.diff.bz2 @@ -298,7 +298,7 @@ 68438494864d9e9540263c72a6e02e1e src/openh323-v1_15_1-src.tar.gz afc8700b5738da863b30208e1d3e9de8 src/openldap-2.2.26.tgz df899194a340c933944b193477c628fa src/openssh-4.2p1.tar.gz -991615f73338a571b6a1be7d74906934 src/openssl-0.9.7g.tar.gz +8dc90a113eb8925795071fbe52b2932c src/openssl-0.9.7h.tar.gz 75176c4894ebb74cc44737a2ac5354cf src/openswan-1.0.9.tar.gz 7401faebc6baee9add32608709c54eec src/openvpn-2.0.tar.gz fccf09aed13393ee67e50cc57b52b500 src/opt-3.18.tar.bz2 @@ -359,7 +359,7 @@ 952fadd9f76e128ee9a4be350a647713 src/ser-0.8.12_src.tar.gz c4867d72c41564318e0107745eb7a0f2 src/setserial-2.17.tar.gz a39e1431ba8766417ccfac74d661cb23 src/sg3_utils-1.17.tar.bz2 -609a417a45827c36ba6e33f9dc785371 src/shadow-4.0.12.tar.bz2 +5c6a105d89afb0900922260e9c5650cc src/shadow-4.0.13.tar.bz2 016f49d71bc32eee2b5d11fc1600cfbe src/shfs-0.35.tar.gz e454f4af193b8546d3c75fb82647051a src/shorewall-2.2.5.tgz fc2cb32e926b25afa24f450f9a48fbb1 src/smartmontools-5.26.tar.gz @@ -415,7 +415,7 @@ 21de2017847ec52d0e511d3f20e38dd8 src/watchdog-errno.patch.bz2 99c5692b628956134ef63a0443b2f8e2 src/watchdog_5.2.3.orig.tar.gz 26d0a3c142423678daed2d6f579525d8 src/webalizer-2.01-10-src.tar.bz2 -879a15cc9093796b8a5035ff0d0d25ad src/wget-1.10.1.tar.gz +795fefbb7099f93e2d346b026785c4b8 src/wget-1.10.2.tar.gz 3897f2a9d0c53a166ba68be9c21353a6 src/which-2.14.tar.gz 41cc0635976d6d0b33ba3067ad246b97 src/whois_4.7.8.tar.gz a037f5c19ab8f3a89acb09e8cfd22d5b src/wireless_tools.26.tar.gz |
|
From: Heiko Z. <smi...@us...> - 2005-10-16 00:50:44
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv22821/scripts Modified Files: Tag: rel-1-2-patches shadow Log Message: - updated gawk to 3.1.5 - updated groff to 1.19.2 - updated httpd to 2.0.55 - updated imap to 2004g - updated openssl to 0.9.7h - updated shadow to 4.0.13 Index: shadow =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/shadow,v retrieving revision 1.16.2.2 retrieving revision 1.16.2.3 diff -u -d -r1.16.2.2 -r1.16.2.3 --- shadow 12 Aug 2005 00:37:43 -0000 1.16.2.2 +++ shadow 16 Oct 2005 00:50:35 -0000 1.16.2.3 @@ -25,7 +25,8 @@ case $1 in build ) - ./configure --prefix=/usr --disable-nls --with-gnu-ld --enable-shared --enable-shadowgrp || exit 1 + ./configure --prefix=/usr --disable-nls --with-gnu-ld --enable-shared --enable-shadowgrp \ + --without-selinux || exit 1 make $PMAKE || exit 1 strip_debug @@ -51,7 +52,7 @@ rm -rf $WORKDIR/tmp/lib/*.a rm -rf $WORKDIR/tmp/lib/*.la cp -dpR etc/{limits,login.access,login.def*,useradd} $ETCDIR/etc/ || exit 1 - sed 's%^#MD5_CRYPT_ENAB.*no%MD5_CRYPT_ENAB yes%' etc/login.defs.linux > $ETCDIR/etc/login.defs && + sed 's%^#MD5_CRYPT_ENAB.*no%MD5_CRYPT_ENAB yes%' etc/login.defs > $ETCDIR/etc/login.defs && rm -rf $WORKDIR/tmp/usr/share || exit 1 rm -rf $WORKDIR/tmp/lib || exit 1 cp -dpR $WORKDIR/tmp/* $CDDIR/ || exit 1 |
|
From: Heiko Z. <smi...@us...> - 2005-10-11 13:44:13
|
Update of /cvsroot/devil-linux/build/config/etc/syslog-ng In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv25728/etc/syslog-ng Modified Files: syslog-ng.conf Log Message: - increase syslog-ng max_connections to 1000 Index: syslog-ng.conf =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/syslog-ng/syslog-ng.conf,v retrieving revision 1.10 retrieving revision 1.11 diff -u -d -r1.10 -r1.11 --- syslog-ng.conf 26 May 2004 01:03:18 -0000 1.10 +++ syslog-ng.conf 11 Oct 2005 13:44:18 -0000 1.11 @@ -6,7 +6,7 @@ ##################################################################### # define the source pipe for all local messages ##################################################################### -source src { pipe ("/proc/kmsg" log_prefix("kernel: ")); unix-stream("/dev/log"); internal(); }; +source src { pipe ("/proc/kmsg" log_prefix("kernel: ")); unix-stream("/dev/log") max_connections(1000); internal(); }; ##################################################################### # print all messages on tty10 |